Package org.eclipse.microprofile.telemetry.metrics.tck.application

# Class ConfigAsset

java.lang.Object
org.eclipse.microprofile.telemetry.metrics.tck.application.ConfigAsset

All Implemented Interfaces:
  `org.jboss.shrinkwrap.api.asset.Asset`

public class ConfigAsset extends Object implements org.jboss.shrinkwrap.api.asset.Asset

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SDK_DISABLED`

## Constructor Summary

Constructors
Constructor
Description
`ConfigAsset()`

## Method Summary

Modifier and Type
Method
Description
`ConfigAsset`
`add(String key, String value)`
`InputStream`
`openStream()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SDK_DISABLED

public static final String SDK_DISABLED

See Also:
  - Constant Field Values

## Constructor Details

### ConfigAsset

public ConfigAsset()

## Method Details

### openStream

public InputStream openStream()

Specified by:
  `openStream` in interface `org.jboss.shrinkwrap.api.asset.Asset`

### add

public ConfigAsset add(String key, String value)